package cn.com.qmth.stmms.biz.exam.bean;

import java.util.Date;
import java.util.List;

import cn.com.qmth.stmms.common.annotation.ExcelField;
import io.swagger.annotations.ApiModelProperty;

public class ScoreVerifyVo {

    private Integer examId;

    // 考生id
    private Integer studentId;

    // 考生姓名
    @ApiModelProperty("姓名")
    @ExcelField(title = "姓名*", align = 2, sort = 1)
    private String studentName;

    // 考生编号
    @ApiModelProperty("考生编号")
    @ExcelField(title = "考生编号*", align = 2, sort = 2)
    private String studentCode;

    // 科目
    private String subjectCode;

    private String subjectName;

    @ApiModelProperty("科目")
    @ExcelField(title = "科目", align = 2, sort = 3)
    private String subjectText;

    // 上传状态
    private Boolean upload;

    // 总分
    private Double subjectiveScore;

    // 得分明细
    private String subjectiveScoreList;

    // 校验人
    private String scoreVerifyUserName;

    // 校验时间
    private Date scoreVerifyTime;

    private Double objectiveScore;

    private Boolean absent;

    @ApiModelProperty("图片地址")
    private List<String> sheetUrls;

    private String answerUrl;

    private String examNumber;

    private Integer sheetCount;

    private Boolean breach;

    private Double subjectScore;

    @ApiModelProperty("客观分")
    private String objectiveScoreText;

    @ApiModelProperty("主观分")
    private String subjectiveScoreText;

    @ApiModelProperty("满分")
    @ExcelField(title = "满分", align = 2, sort = 4)
    private String subjectScoreText;

    @ApiModelProperty("状态")
    @ExcelField(title = "状态", align = 2, sort = 5)
    private String statusText;

    @ApiModelProperty("已上传是否需要加跳转")
    private Boolean showSheet;

    private Double totalScore;

    @ApiModelProperty("试卷总分")
    @ExcelField(title = "试卷总分", align = 2, sort = 6)
    private String totalScoreText;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Double getSubjectScore() {
        return subjectScore;
    }

    public void setSubjectScore(Double subjectScore) {
        this.subjectScore = subjectScore;
    }

    public Boolean getUpload() {
        return upload;
    }

    public void setUpload(Boolean upload) {
        this.upload = upload;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public String getSubjectiveScoreList() {
        return subjectiveScoreList;
    }

    public void setSubjectiveScoreList(String subjectiveScoreList) {
        this.subjectiveScoreList = subjectiveScoreList;
    }

    public String getScoreVerifyUserName() {
        return scoreVerifyUserName;
    }

    public void setScoreVerifyUserName(String scoreVerifyUserName) {
        this.scoreVerifyUserName = scoreVerifyUserName;
    }

    public Date getScoreVerifyTime() {
        return scoreVerifyTime;
    }

    public void setScoreVerifyTime(Date scoreVerifyTime) {
        this.scoreVerifyTime = scoreVerifyTime;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public List<String> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<String> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public String getAnswerUrl() {
        return answerUrl;
    }

    public void setAnswerUrl(String answerUrl) {
        this.answerUrl = answerUrl;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public Integer getSheetCount() {
        return sheetCount;
    }

    public void setSheetCount(Integer sheetCount) {
        this.sheetCount = sheetCount;
    }

    public Boolean getBreach() {
        return breach;
    }

    public void setBreach(Boolean breach) {
        this.breach = breach;
    }

    public String getSubjectScoreText() {
        return subjectScoreText;
    }

    public void setSubjectScoreText(String subjectScoreText) {
        this.subjectScoreText = subjectScoreText;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getTotalScoreText() {
        return totalScoreText;
    }

    public void setTotalScoreText(String totalScoreText) {
        this.totalScoreText = totalScoreText;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public String getObjectiveScoreText() {
        return objectiveScoreText;
    }

    public void setObjectiveScoreText(String objectiveScoreText) {
        this.objectiveScoreText = objectiveScoreText;
    }

    public String getSubjectiveScoreText() {
        return subjectiveScoreText;
    }

    public void setSubjectiveScoreText(String subjectiveScoreText) {
        this.subjectiveScoreText = subjectiveScoreText;
    }

    public String getStatusText() {
        return statusText;
    }

    public void setStatusText(String statusText) {
        this.statusText = statusText;
    }

    public Boolean getShowSheet() {
        return showSheet;
    }

    public void setShowSheet(Boolean showSheet) {
        this.showSheet = showSheet;
    }

}
