package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.common.annotation.ExcelField;

public class ProblemHistoryDTO {

    @ExcelField(title = "课程代码", align = 2, sort = 20)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 30)
    private String subjectName;

    @ExcelField(title = "分组序号", align = 2, sort = 40)
    private Integer groupNumber;

    @ExcelField(title = "状态", align = 2, sort = 50)
    private String status;

    @ExcelField(title = "准考证号", align = 2, sort = 60)
    private String examNumber;

    @ExcelField(title = "密号", align = 2, sort = 80)
    private String secretNumber;

    @ExcelField(title = "姓名", align = 2, sort = 90)
    private String name;

    @ExcelField(title = "评卷员", align = 2, sort = 100)
    private String markLogin;

    @ExcelField(title = "提交时间", align = 2, sort = 110)
    private String markTime;

    @ExcelField(title = "问题类型", align = 2, sort = 130)
    private String problemType;

    @ExcelField(title = "处理人", align = 2, sort = 140)
    private String problemUserName;

    @ExcelField(title = "处理时间", align = 2, sort = 150)
    private String problemRestTime;

    public ProblemHistoryDTO() {
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMarkLogin() {
        return markLogin;
    }

    public void setMarkLogin(String markLogin) {
        this.markLogin = markLogin;
    }

    public String getMarkTime() {
        return markTime;
    }

    public void setMarkTime(String markTime) {
        this.markTime = markTime;
    }

    public String getProblemType() {
        return problemType;
    }

    public void setProblemType(String problemType) {
        this.problemType = problemType;
    }

    public String getProblemUserName() {
        return problemUserName;
    }

    public void setProblemUserName(String problemUserName) {
        this.problemUserName = problemUserName;
    }

    public String getProblemRestTime() {
        return problemRestTime;
    }

    public void setProblemRestTime(String problemRestTime) {
        this.problemRestTime = problemRestTime;
    }
}
